<?php

spl_autoload_register(function($class) {
    $classPath = explode('\\', $class);

    if ($classPath[0] != 'Procour') {
        return;
    }

    $classPath = array_slice($classPath, 1, count($classPath));
    $filePath = dirname(__FILE__) . '/' . implode('/', $classPath) . '.php';
	
    if (file_exists($filePath)) {
        require_once($filePath);
    }
});