<?php

if (!defined('BOOTSTRAP')) { die('Access denied'); }

use Procour\Models\Parsel;
use Procour\Models\Customer;
use Procour\Client\ParselCreateResponse;
use Tygh\Registry;

// создание отгрузки

if ($mode == 'add') {
    $order_info = fn_get_order_info($_REQUEST['shipment_data']['order_id'], false, true, true, false);
    
    foreach ($order_info['product_groups'] as $product_group)
    {
        $chosen_shipping = current($product_group['chosen_shippings']);

        if ($chosen_shipping['module'] == 'procour') {
            $client = new \Procour\Client\Client();
            $service_params =  db_get_field('SELECT service_params FROM ?:shippings WHERE shipping_id = ?i', $chosen_shipping['shipping_id']);
            $serviceParamsArray = unserialize($service_params);
            
            $key = trim($serviceParamsArray['password']);
            $sms = !empty($serviceParamsArray['sms_inform']) ? 1:0;
            
            try
            {
                $client->setKey($key);
                $client->setNumber($order_info['order_id']);
                $client->setDeliveryCost($order_info['shipping_cost']);
                $client->setSMS($sms);
                $client->setType($chosen_shipping['service_code']);
                    
                $data = $client->createOrder($product_group['package_info']);                
                if(is_numeric($data))
                    $_REQUEST['shipment_data']['tracking_number'] = $data;
                else
                    fn_set_notification('E', fn_get_lang_var('Error'), "Ошибка добавления заявки (".$data.")");    
            }
            catch (Exception $e) {
                $_REQUEST['shipment_data']['shipping_id'] = false;
                fn_set_notification('E', fn_get_lang_var('Error'), $e->getMessage());
            }
        }
    }
}
if ($mode == 'manage') {
    // ссылка на этикетку
/*    list($shipments, $search) = fn_get_shipments_info($_REQUEST, Registry::get('settings.Appearance.admin_elements_per_page'));

    foreach ($shipments as $shipment)
    {
        $array = db_get_array('SELECT * FROM ?:shipments WHERE shipment_id = ?i', $shipment['shipment_id']);
		$array = current($array);
        // получение инфы?
        
        if ($array['carrier'] == 'procour') {
            $label = "https://lk.pro-cour.ru/barcodes/".$array['tracking_number'].".png";
            fn_print_die($array);
            Tygh::$app['view']->assign('label', $label);
        }
    }    **/
}

if ($mode == 'details') {
    // статусы
    /*list($shipments, $search) = fn_get_shipments_info($_REQUEST, Registry::get('settings.Appearance.admin_elements_per_page'));

    foreach ($shipments as $shipment)
    {
        $array = db_get_array('SELECT * FROM ?:shipments WHERE shipment_id = ?i', $shipment['shipment_id']);

fn_print_r('222');
fn_print_die($array);

        if ($array['carrier'] == 'procour' && strlen($array['tracking_number']) > 0) {

            $client = new \Procour\Client\Client();

            $service_params =  db_get_field('SELECT service_params FROM ?:shippings WHERE shipping_id = ?i', $array['shipping_id']);

            $key = unserialize($service_params['password']);
            $client->setKey($key);

      
            $listStatuses = $client->getListStatuses();
            $listStatuses->setImId($array['tracking_number']);

            try {                
                $answer = $client->execute($listStatuses);
                $status = current($answer);
                Tygh::$app['view']->assign('procour_status', $status);
            } catch (Exception $e) {
                fn_set_notification('W', fn_get_lang_var('Warning'), $e->getMessage());
            }
        }
    }
    */
}
